<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('meetup_events', function (Blueprint $table) {
            $table->boolean('allow_floor_plan')->default(false)->after('allow_voting');
            $table->string('floor_plan_path')->nullable()->after('banner_path');
        });
    }

    public function down(): void
    {
        Schema::table('meetup_events', function (Blueprint $table) {
            $table->dropColumn(['allow_floor_plan', 'floor_plan_path']);
        });
    }
};
